summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--README2
-rwxr-xr-xbin/h5vers7
-rwxr-xr-xbin/release4
3 files changed, 8 insertions, 5 deletions
diff --git a/README b/README
index e158b58..447ab7a 100644
--- a/README
+++ b/README
@@ -1,4 +1,4 @@
-This is hdf5-1.0.38 released on 1998-06-29 16:05 UTC
+This is hdf5-1.0.38 released on 1998-06-30 16:53 UTC
Please refer to the INSTALL file for installation instructions.
------------------------------------------------------------------------------
diff --git a/bin/h5vers b/bin/h5vers
index a4ddefc..418c994 100755
--- a/bin/h5vers
+++ b/bin/h5vers
@@ -66,8 +66,11 @@ while ($_ = shift) {
};
$_ eq "-i" && do {
- die "-i switch needs a value\n" unless @ARGV;
- $inc = shift;
+ if (@ARGV && $ARGV[1]=~/^(major|minor|release)$/) {
+ $inc = shift;
+ } else {
+ $inc = "release";
+ }
next;
};
diff --git a/bin/release b/bin/release
index 6f88a24..90130c8 100755
--- a/bin/release
+++ b/bin/release
@@ -84,11 +84,11 @@ fi
# Prepare the source tree for a release.
test -h ../hdf5-$VERS && rm ../hdf5-$VERS
-(cd ..; ln -s hdf5 hdf5-$VERS || exit 1)
+ln -s `pwd` ../hdf5-$VERS || exit 1
mv Makefile ../Makefile.x 2>/dev/null #might fail
cp -p Makefile.dist Makefile
test "$verbose" && echo " Running tar..." 1>&2
-(cd ..; tar cf x.tar `sed s+^.+hdf5-$VERS+ hdf5/MANIFEST` || exit 1)
+(cd ..; tar cf x.tar `sed s+^.+hdf5-$VERS+ hdf5-$VERS/MANIFEST` || exit 1)
# Compress
for comp in $methods; do